Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Interface ExecuteStreamHandler

All Known Subinterfaces:
  P4Handler

All Known Implementing Classes:
  JikesOutputParser, PumpStreamHandler

public interface ExecuteStreamHandler

Used by `Execute` to handle input and output stream of subprocesses.

Author:
  thomas.haas@softwired-inc.com

Method Summary
`void` | `setProcessErrorStream(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` | `setProcessInputStream(java.io.OutputStream os)` Install a handler for the input stream of the subprocess.
`void` | `setProcessOutputStream(java.io.InputStream is)` Install a handler for the output stream of the subprocess.
`void` | `start()` Start handling of the streams.
`void` | `stop()` Stop handling of the streams - will not be restarted.

Method Detail

### setProcessInputStream

    public void setProcessInputStream(java.io.OutputStream os)
                               throws java.io.IOException

  Install a handler for the input stream of the subprocess.
  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess

### setProcessErrorStream

    public void setProcessErrorStream(java.io.InputStream is)
                               throws java.io.IOException

  Install a handler for the error stream of the subprocess.
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### setProcessOutputStream

    public void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Install a handler for the output stream of the subprocess.
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### start

    public void start()
               throws java.io.IOException

  Start handling of the streams.

### stop

    public void stop()

  Stop handling of the streams - will not be restarted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.